Podręcznik PHP
Poprzedni | Rozdział 19. Classes and Objects (PHP 5) | Następny

# Class Constants

It is possible to define constant values on a per-class basis remaining the same and unchangeable. Constants differ from normal variables in that you don't use the $ symbol to declare or use them. Like static members, constant values cannot be accessed from an instance of the object (using $object::constant).

The value must be a constant expression, not (for example) a variable, a class member, result of a mathematical operation or a function call.

Przykład 19-16. Defining and using a constant

`<?php class MyClass { const constant = 'constant value'; function showConstant() { echo self::constant . "\n"; } } echo MyClass::constant . "\n"; $class = new MyClass(); $class->showConstant(); // echo $class::constant; is not allowed ?>`

Poprzedni | Spis treści | Następny
Static Keyword | Początek rozdziału | Class Abstraction